summaryrefslogtreecommitdiffstats
path: root/desktop/wmpower
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2012-04-29 20:48:40 -0400
committer Erik Hanson <erik@slackbuilds.org>2012-04-30 00:40:06 -0500
commit3cbec68d90131efd165ca300a38cbe366b915b2a (patch)
tree4c11c29b18b3118b8059d24bf32413c0d4b8f73f /desktop/wmpower
parentee069898b81f8a4267d74c7b335ce9736325b4f7 (diff)
downloadslackbuilds-3cbec68d90131efd165ca300a38cbe366b915b2a.tar.gz
slackbuilds-3cbec68d90131efd165ca300a38cbe366b915b2a.tar.xz
desktop/wmpower: Added (Window Maker power management application)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop/wmpower')
-rw-r--r--desktop/wmpower/README5
-rw-r--r--desktop/wmpower/slack-desc19
-rw-r--r--desktop/wmpower/wmpower.SlackBuild82
-rw-r--r--desktop/wmpower/wmpower.info10
4 files changed, 116 insertions, 0 deletions
diff --git a/desktop/wmpower/README b/desktop/wmpower/README
new file mode 100644
index 0000000000..d78d965d18
--- /dev/null
+++ b/desktop/wmpower/README
@@ -0,0 +1,5 @@
+wmpower is Window Maker laptop power management dockable application
+
+wmpower displays the battery status, the number of fans or the
+fan speed, and CPU temperature and allows to switch the power
+management status of the laptop.
diff --git a/desktop/wmpower/slack-desc b/desktop/wmpower/slack-desc
new file mode 100644
index 0000000000..04c8a0f442
--- /dev/null
+++ b/desktop/wmpower/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wmpower: wmpower (Window Maker laptop power management dockable application)
+wmpower:
+wmpower: wmpower displays the battery status, the number of fans or the
+wmpower: fan speed, and CPU temperature and allows to switch the power
+wmpower: management status of the laptop.
+wmpower:
+wmpower:
+wmpower:
+wmpower:
+wmpower:
+wmpower:
diff --git a/desktop/wmpower/wmpower.SlackBuild b/desktop/wmpower/wmpower.SlackBuild
new file mode 100644
index 0000000000..f607983b43
--- /dev/null
+++ b/desktop/wmpower/wmpower.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for wmpower
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmpower
+VERSION=${VERSION:-0.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-debug \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING ChangeLog INSTALL LEGGIMI NEWS README* THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmpower/wmpower.info b/desktop/wmpower/wmpower.info
new file mode 100644
index 0000000000..178221050e
--- /dev/null
+++ b/desktop/wmpower/wmpower.info
@@ -0,0 +1,10 @@
+PRGNAM="wmpower"
+VERSION="0.5.1"
+HOMEPAGE="http://linux-bsd-unix.strefa.pl/"
+DOWNLOAD="http://linux-bsd-unix.strefa.pl/wmpower-0.5.1.tar.bz2"
+MD5SUM="146ceb5dc67d787f3ec4aecd6c3a9fbb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"